Upgrading/Updating instructions for CMS (Content Management System)



It is important to always use the most recent version of the CMS to keep up with the latest bug fixes and security updates.   In addition, the latest versions often comes with new features and makes it easier to make future upgrades easier.

Updating means installing a new minor version

Upgrading means installing a new major version

Please note that Plugins and Themes in your CMS needs to be up-to-date as well. If not, there is a chance that they will not work with more recent versions of PHP.



Contents

Joomla

Technical Requirements

The requirements for Joomla 1.6, 1.7, & 2.5 and 3.x can be found by visiting this URL.

https://www.joomla.org/about-joomla/technical-requirements.html

Upgrading Versions

New Joomla versions typically include new features and usability enhancements. There are various steps to take when upgrading Joomla.

For detailed instructions, please visit: https://docs.joomla.org/Portal:Upgrading_Versions

How to check the Joomla version?

Before you begin, it is essential you know what version of Joomla you are using. This is especially true if you are changing a major version.

Joomla is released with the following version designations, [major].[minor].[maintenance]. For example, version 3.1.5 is Joomla major version 3, minor 1, and maintenance release 5.

Here are the different methods, depending on the Joomla version to find out which Joomla version you are using:

https://docs.joomla.org/How_to_check_the_Joomla_version%3F

What is different between Joomla 2.5 and 3?

There are dozens of improvements to the details of all of the Joomla core. For more information, please visit: https://docs.joomla.org/Joomla_3.0_FAQ

Planning Migration - Joomla 1.5 to 3

Going from Joomla 1.5 to 3.x is considered a migration or a major migration. That is why its important to plan your migration. 

For detailed instructions, please visit: https://docs.joomla.org/Planning_Migration_-_Joomla_1.5_to_3 and https://docs.joomla.org/Joomla_1.5_to_3.x_Step_by_Step_Migration

Wordpress

Technical Requirements

Wordpress has put together a page where they describe the recommended technical requirements: https://wordpress.org/about/requirements/

Note that Wordpress can only be installed using Webhosting packs that supports PHP. Our Linux Webhosting packs do support PHP, our Windows webhosting packs do not support PHP.

Updating and Upgrading Wordpress

To reduce the risk of your website being hacked or compromised, it is important that you always update WordPress to the latest version.

For detailed instructions, please visit http://codex.wordpress.org/Updating_WordPress and http://codex.wordpress.org/Upgrading_WordPress_Extended

How to check WordPress version?

  • Check the root directory of the WordPress installation for the readme.html (i.e, http://www.example.com/readme.html)
  • In the WordPress Dashboard
  • Check the source code of your website. <meta name="generator" content="WordPress 4.4">

Drupal

Technical Requirements

To view the requirements for Drupal, please visit: https://www.drupal.org/requirements/

Updating and upgrading Drupal

From time to time, there will be minor updates to Drupal core. If the release is designated as a security update, you should apply the update as soon as you can.

For detailed instructions on how to update / upgrade your Drupal website, please visit: https://www.drupal.org/upgrade/

How to check Drupal version?



Keywords
You can click on any of the keywords below this article to see all related articles for that keyword